Page MenuHomePhabricator

Remove Special:CiteThisPage from previews blacklist
Closed, ResolvedPublic1 Estimated Story Points

Description

As discussed over at T170893#3541842, this page contains (on enwiki) several mainspace links with useful page previews, see e.g. https://en.wikipedia.org/w/index.php?title=Special:CiteThisPage&page=Dire_wolf&id=791135679 ; it looks like it fell through the cracks as the initial draft blacklist was refined. It's an example of the inconsistent user experience we should avoid causing with the blacklist (one and the same article link will generate popups on some pages but not on others, without any user-discernable reason).

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 22 2017, 6:54 PM
Jdlrobson set the point value for this task to 1.Aug 22 2017, 7:10 PM
Jdlrobson added subscribers: ovasileva, Nirzar, Jdlrobson.

@Nirzar + @ovasileva sound good?

Jdlrobson triaged this task as Medium priority.Aug 23 2017, 1:57 PM
Jdlrobson moved this task from Incoming to Triaged but Future on the Readers-Web-Backlog board.

Change 373300 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[operations/mediawiki-config@master] Remove CiteThisPage from blacklist for page previews

https://gerrit.wikimedia.org/r/373300

Code looks ok, moving to "Needs more work" as this task requires SWAT deploy. @Jdlrobson - are you going to SWAT it or do you want me to do it?

It's scheduled for 11am PST

Change 373300 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove CiteThisPage from blacklist for page previews

https://gerrit.wikimedia.org/r/373300

Mentioned in SAL (#wikimedia-operations) [2017-08-23T19:15:08Z] <niharika29@tin> Synchronized wmf-config/InitialiseSettings.php: Remove CitThisPage from blacklist for page previews T173865 (duration: 00m 47s)

Jdlrobson assigned this task to pmiazga.Aug 23 2017, 7:23 PM

would you mind confirming what I'm seeing .. which is the code is not loading on https://en.wikipedia.org/wiki/Special:CiteThisPage?page=Football ?

@Jdlrobson when I'm on https://en.wikipedia.org/wiki/Special:CiteThisPage?page=Football Popups module load and I see Page Previews on this page.

pmiazga closed this task as Resolved.Aug 23 2017, 8:12 PM